Subject: AbstractFormFieldViewHelper does not resolve property path
Description

When binding a form field to a property like

<f:form.textfield property="some.property" />

The resulting element name attribute should be:

[...] name="formPrefix[formObjectName][some]property" 

This works as long as a form object name is specified (<f:form objectName="xyz" />) but it fails to resolve the property path if not:

[...] name="formPrefix[some.property]" 

Associated revisions
Revision 483a866c - 2012-01-24 19:35 - Bastian Waidelich

[BUGFIX] FormFieldViewHelpers do not resolve property path

When binding a form to an object the form elements fail to
correctly resolve the property path if no "formObjectName" is
specified.

Change-Id: I2c2c575d1d6e8f55528067f2412e8b1edaa2b346
Fixes: #33421

History
#1 - 2012-01-24 19:35 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8681

#2 - 2012-01-24 19:36 - Gerrit Code Review
Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8681

#3 - 2012-01-26 14:46 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:483a866c564b8dadc97a05bed36433e2618f0704.
